Subject: Re: perl-5.6.1-2 bug
From: "Ñãzã®78" <[email-masked]>
To: <[email-masked]>
Date: Mon, 27 Aug 2001 15:58:01 +0800

Hmm...

I only face stackdump results when compiling or running under 10% system
resources and not forgetting my own script errors. That was with
perl-5.6.1-1trial.

>>You lucky one, how does this trick work?
>>For me it stackdumps with exactely the same script:

It's suppose to work with that simple hello world script. Have you tried
perlcc'in on a unix perl? The only failures from my experience was indigo
and active perl. Or a small debugging could help "perl -MO=C,-ofoo.c
foo.pl", open up the c file to find the faults and finally "gcc foo.c
[args+flags+opts]".

>>perlcc 'should' be able to build standalone executables, but
>>it is the first time i saw now, that it is really able to do so.

Even though, it's still links to "CYGWIN1.DLL" and"LIBPERL5_6_1.DLL". Don't
leave your box without them :)

>>Have you some special environment variables set?

Nothing special about my envs and vars. May be almost similar to yours with
just a couple of "CPLUS_INCLUDE_PATH" and "C_INCLUDE_PATH" as addition.

Thank you.

Regards,
Ñãzã®78 @ [email-masked]
eBizMalay.Com @ http://www.ebizmalay.com
Bringing To You eBiz Solutions Of Tomorrow

----- Original Message -----
From: "Gerrit P. Haase" <[email-masked]>
To: "XXzXX78" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, August 26, 2001 6:51 PM
Subject: Re: perl-5.6.1-2 bug

Ñãzã®78 schrieb am 2001-08-26, 13:14:
>Hi there. I've just found this on perl-5.6.1-2.
>
>-- begin test.pl --
>#!/usr/bin/perl
>
>print "Hello, World\n\n";
>
>exit;
>-- end test.pl --
>
>perlcc -o test.exe test.pl
>
>When try'in to execute test.exe, I got this:
>
>Error Starting the Program>>The TEST.EXE is linked to missing export
>LIBPERL5_6_1.DLL:Perl_Gcurinterp_ptr.
>
>Hope this helps.

Hi,

You lucky one, how does this trick work?

For me it stackdumps with exactely the same script:

$ ./test
      0 [main] test 292 open_stackdumpfile: Dumping stack trace to
test.exe.stackdump
Segmentation fault (core dumped)

perlcc 'should' be able to build standalone executables, but
it is the first time i saw now, that it is really able to do so.
I will have to dig into a little deeper.
Have you some special environment variables set?

Gerrit

--
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/